/* eslint no-undef: 0 */
/* eslint arrow-parens: 0 */
import React from 'react';
import { enquireScreen } from 'enquire-js';

import Nav0 from './Nav0';
import Content13 from './Content13';
import Teams0 from './Teams0';
import Content9 from './Content9';
import Teams4 from './Teams4';
import Footer1 from './Footer1';
import SenseOfWorth from './SenseOfWorth'
import Banner from '../../components/Banner';

import {
  Nav00DataSource,
  Content130DataSource,
  Teams00DataSource,
  Content90DataSource,
  Teams40DataSource,
  Footer10DataSource,
} from './data.source';
import './less/antMotionStyle.less';

let isMobile;
enquireScreen((b) => {
  isMobile = b;
});

const { location = {} } = typeof window !== 'undefined' ? window : {};

export default class Home extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      isMobile,
      show: !location.port, // 如果不是 dva 2.0 请删除
    };
  }

  componentDidMount() {
    // 适配手机屏幕;
    enquireScreen((b) => {
      this.setState({ isMobile: !!b });
    });
    // dva 2.0 样式在组件渲染之后动态加载，导致滚动组件不生效；线上不影响；
    /* 如果不是 dva 2.0 请删除 start */
    if (location.port) {
      // 样式 build 时间在 200-300ms 之间;
      setTimeout(() => {
        this.setState({
          show: true,
        });
      }, 500);
    }
    /* 如果不是 dva 2.0 请删除 end */
  }

  render() {
    const children = [
      <Nav0
        id="Nav0_0"
        key="Nav0_0"
        dataSource={Nav00DataSource}
        isMobile={this.state.isMobile}
      />,
      <Banner
        key="Banner_43"
        title="关于我们"
        backUrl="https://zx-oss-dev.oss-cn-hangzhou.aliyuncs.com/jpgCEDC614CF9AA4B908A94269E65F97A15.jpg"
      />,
      // <Content13
      //   id="Content13_0"
      //   key="Content13_0"
      //   dataSource={Content130DataSource}
      //   isMobile={this.state.isMobile}
      // />,
      <Teams0
        id="Teams0_0"
        key="Teams0_0"
        dataSource={Teams00DataSource}
        isMobile={this.state.isMobile}
      />,
      <Content9
        id="Content9_0"
        key="Content9_0"
        dataSource={Content90DataSource}
        isMobile={this.state.isMobile}
      />,
      <SenseOfWorth 
        key="SenseOfWorth12_1"
        isMobile={this.state.isMobile}
      />,
      // <Feature3
      //   id="Feature3_0"
      //   key="Feature3_0"
      //   dataSource={Feature30DataSource}
      //   isMobile={this.state.isMobile}
      // />,
      <Teams4
        id="Teams4_0"
        key="Teams4_0"
        dataSource={Teams40DataSource}
        isMobile={this.state.isMobile}
      />,
      <Footer1
        id="Footer1_0"
        key="Footer1_0"
        dataSource={Footer10DataSource}
        isMobile={this.state.isMobile}
      />,
    ];
    return (
      <div
        className="templates-wrapper"
        ref={(d) => {
          this.dom = d;
        }}
      >
        {/* 如果不是 dva 2.0 替换成 {children} start */}
        {this.state.show && children}
        {/* 如果不是 dva 2.0 替换成 {children} end */}
      </div>
    );
  }
}
